INFO(1)

NAZWA
info - odczytuje dokumenty Info

SKŁADNIA
info [OPCJA]... [WPIS-MENU...]

OPIS
Odczytuje dokumentację w formacie Info.

  Często używane opcje:

-a, --all
    używa wszystkich pasujących podręczników

-k, --apropos=ŁAŃCUCH
    przeszukuje pod kątem ŁAŃCUCHA we wszystkich wpisach wszystkich podręczników

-d, --directory=KATALOG
    dodaje KATALOG do INFOPATH

-f, --file=PODRĘCZNIK
    określa podręcznik Info

-h, --help
    wyświetla ten tekst i kończy pracę

--index-search=ŁAŃCUCH
    przechodzi do węzła wskazanego przez wpis indeksu ŁAŃCUCH

-n, --node=WĘZEŁ
    określa węzeł w pierwszym odwiedzanym pliku Info

-o, --output=PLIK
    wypisuje wybrane węzły do PLIKU

-O, --show-options, --usage
    przechodzi do węzła opcji wiersza polecenia

--subnodes
    rekurencyjnie wypisuje wpisy menu

-v, --variable ZMIENNA=WARTOŚĆ
    przypisuje WARTOŚĆ do zmiennej Info ZMIENNA

--version
    wyświetla informacje o wersji i kończy działanie

-w, --where, --location
    wypisuje fizyczne położenie pliku Info

Pierwszy argument niebędący opcją, jeśli jest obecny, jest początkowym wpisem menu; jest on wyszukiwany spośród wszystkich plików "dir" z INFOPATH. Jeśli nie jest obecny, info łączy wszystkie pliki "dir" i wyświetla rezultat. Wszystkie pozostałe argumenty są traktowane jako nazwy wpisów menu, odnoszące się do początkowego wpisu menu.

Zestawienie klawiszy wyświetla się po wpisaniu H w programie Info.

PRZYKŁADY

info
    wyświetla menu dir głównego poziomu

info info-stnd
    wyświetla podręcznik dla programu Info

info emacs
    rozpoczyna od węzła emacs z głównego katalogu

info emacs buffers
    wybiera węzeł buffers z podręcznika emacs

info emacs -n Files
    zaczyna od węzła Files z podręcznika emacs

info '(emacs)Files'
    alternatywna metoda by zacząć od węzła Files

info --show-options emacs
    zaczyna od węzła z opcjami wiersza poleceń emacsa

info --subnodes -o out.txt emacs
    zrzuca cały podręcznik emacs do out.txt

info -f ./foo.info
    pokazuje plik ./foo.info, nie przeszukuje katalogu

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres bug-texinfo@gnu.org, ogólne pytania i komentarze na help-texinfo@gnu.org.
Strona Texinfo: http://www.gnu.org/software/texinfo/

PRAWA AUTORSKIE
Copyright © 2011 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja dla info jest dostępna w formacie Texinfo. Jeśli program info jest poprawnie zainstalowany, to polecenie

    info info

powinno dać dostęp do pełnego podręcznika (w Emacsie będzie to skrót M-x).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Łukasz Kowalczyk <lukow@tempac.okwf.fuw.edu.pl>, Michał Kułach <michal.kulach@gmail.com> i Szymon Lamkiewicz <s.lam@o2.pl>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.